Bug 823664 - Arequal check sum mismatch after remove brick start operation from distributed-stripe volume
Arequal check sum mismatch after remove brick start operation from distribute...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: stripe (Show other bugs)
pre-release
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
: Triaged
Depends On:
Blocks: 854650
  Show dependency treegraph
 
Reported: 2012-05-21 15:58 EDT by shylesh
Modified: 2016-02-17 19:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 854650 (view as bug list)
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-05-21 15:58:38 EDT
Description of problem:
After migrating data from a distributed-stripe using remove-brick mount point shows different checksum across the arequal runs

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a distributed-stripe volume 3x2
2. add some data on the mount point and calculate arequal cheksum
3. Remove brick start on any one of the pair , once remove-brick completes commit it.
4. Now again calculate areequal checksum 
  
Actual results:
Checksum differs.

Expected results:


Additional info:

Client logs says [2012-05-21 19:52:22.155933] E [stripe-helpers.c:271:stripe_ctx_handle] 3-dis-stripe-stripe-2: Failed to get stripe-size
[2012-05-21 19:52:22.155962] E [stripe.c:212:stripe_lookup_cbk] 3-dis-stripe-stripe-2: Error getting fctx info from dict
[2012-05-21 19:52:22.156118] E [stripe-helpers.c:271:stripe_ctx_handle] 3-dis-stripe-stripe-2: Failed to get stripe-size
[2012-05-21 19:52:22.156141] E [stripe.c:212:stripe_lookup_cbk] 3-dis-stripe-stripe-2: Error getting fctx info from dict
[2012-05-21 19:52:22.158532] W [page.c:984:__ioc_page_error] 3-dis-stripe-io-cache: page error for page = 0x7f3ec8038fa0 & waitq = 0x7f3ec8034b70
[2012-05-21 19:52:22.158654] W [page.c:984:__ioc_page_error] 3-dis-stripe-io-cache: page error for page = 0x7f3ec8006f20 & waitq = 0x7f3ec801ac30
[2012-05-21 19:52:22.159257] E [stripe-helpers.c:271:stripe_ctx_handle] 3-dis-stripe-stripe-2: Failed to get stripe-size
[2012-05-21 19:52:22.159297] E [stripe.c:212:stripe_lookup_cbk] 3-dis-stripe-stripe-2: Error getting fctx info from dict
[2012-05-21 19:52:22.159508] E [stripe-helpers.c:271:stripe_ctx_handle] 3-dis-stripe-stripe-2: Failed to get stripe-size
[2012-05-21 19:52:22.159530] E [stripe.c:212:stripe_lookup_cbk] 3-dis-stripe-stripe-2: Error getting fctx info from dict
[2012-05-21 19:52:22.162160] W [page.c:984:__ioc_page_error] 3-dis-stripe-io-cache: page error for page = 0x7f3ec8038fa0 & waitq = 0x7f3ec8034b70
Comment 1 shishir gowda 2012-08-08 10:43:55 EDT
Can we check if this issue still exists?
Comment 2 shylesh 2012-12-24 03:20:49 EST
This issue is not reproducible on 3.4.0qa5-1.el6rhs.x86_64
Comment 3 vpshastry 2013-01-22 08:09:53 EST
Because of posix_mknod is not sending the xattr filled while unwinding, it couldn't get the stripe-size from the xattr. So, I think, mostly the patch http://review.gluster.org/3904 would fix the issue.
Comment 5 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.